include:
  - gnuviechadmin.base
  - gnuviechadmin.celery

gvapgsql-pgsql-user:
  postgres_user.present:
    - name: {{ salt['pillar.get']('gnuviechadmin:pgsql_admin_user', 'gvapgsql') }}
    - password: {{ salt['pillar.get']('gnuviechadmin:pgsql_admin_password') }}
    - user: postgres
    - superuser: True
    - login: True

gvapgsql-packages:
  pkg.installed:
    - pkgs:
      - libpq-dev
    - require_in:
      - pkg: gnuviechadmin-packages
