include:
  - gnuviechadmin.redis

gnuviechadmin:
  ssh_known_hosts: |
      nextgit.gnuviech-server.de ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBESb6Q0nyvx82wJ0S6Jx7ZvY6wJzuwqh2zWOlXzLDcor8Pu5iLqUn5GywS0ooyl3Hkyn983R6Zdr49zgTroRwQA=
  deploymenttype: local
  mailfrom: admin@gnuviech-server.de
  adminemail: admin@gnuviech-server.de
  sitename: Gnuviech Customer Self Service
  domainname: localhost
  minosuid: 10000
  minosgid: 10000
  osuserprefix: usr
  osuserhomedirbase: /home
  osuserdefaultshell: /usr/bin/rssh
  uploadserver: file
  ldap_base_dn: dc=gva,dc=local
  ldap_base_dn_groups: ou=groups,dc=gva,dc=local
  ldap_base_dn_users: ou=groups,dc=gva,dc=local
  ldap_domain: gva.local
  ldap_url: ldap://ldap
  machines:
    gva.local:
      ip: 172.16.3.2
      names:
        - mq
        - gva.local
    gvaldap.local:
      ip: 172.16.3.3
    gvafile.local:
      ip: 172.16.3.4
    gvaweb.local:
      ip: 172.16.3.5
    gvamysql.local:
      ip: 172.16.3.6
    gvapgsql.local:
      ip: 172.16.3.7
