{% from 'gnuviechadmin/vars.sls' import home, gva_component, venv, appdir %}

{{ home }}/bin/run_celery.sh:
  file.managed:
    - user: vagrant
    - group: vagrant
    - mode: 0750
    - source: salt://gnuviechadmin/{{ gva_component }}/run_celery.sh
    - template: jinja
    - context:
        home: {{ home }}
        virtualenv: {{ venv }}
        appdir: {{ appdir }}
